#### Beyond Linux® From Scratch (systemd Edition) - Version 11.1

### Chapter 12. System Utilities

- Prev

  Systemd-250

- Next

  UnRar-6.1.4

- Up
- Home

# UDisks-2.9.4

## Introduction to UDisks

The UDisks package provides a daemon, tools and libraries to access and manipulate disks and storage devices.

This package is known to build and work properly using an LFS-11.1 platform.

### Package Information

- Download (HTTP): https://github.com/storaged-project/udisks/releases/download/udisks-2.9.4/udisks-2.9.4.tar.bz2

- Download MD5 sum: 576e057d2654894fab58f0393d105b7b

- Download size: 1.6 MB

- Estimated disk space required: 52 MB (with tests)

- Estimated build time: 0.3 SBU (with tests)

### UDisks Dependencies

#### Required

libatasmart-0.19, libblockdev-2.26, libgudev-237, libxslt-1.1.35, and Polkit-0.120

#### Required at runtime

btrfs-progs-5.16.2, dosfstools-4.2, gptfdisk-1.0.8, mdadm-4.2, and xfsprogs-5.14.2

#### Recommended

Systemd-250

#### Optional (Required if building GNOME)

gobject-introspection-1.70.0

#### Optional

D-Bus Python-1.2.18 (for the integration tests), GTK-Doc-1.33.2, LVM2-2.03.15, ntfs-3g-2021.8.22, PyGObject-3.42.0 (for the integration tests), exFAT, and libiscsi

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/udisks2

## Installation of UDisks

Install UDisks by running the following commands:

    ./configure --prefix=/usr        \
                --sysconfdir=/etc    \
                --localstatedir=/var \
                --disable-static     &&
    make

To test the results, issue: make check. A more thorough test can be run with make ci. You must first create the directories `/var/run/udisks2` and `/var/lib/udisks2`, and the optional python modules should be present.

Now, as the `root` user:

    make install

## Command Explanations

`--disable-static`: This switch prevents installation of static versions of the libraries.

`--enable-gtk-doc`: Use this parameter if GTK-Doc is installed and you wish to rebuild and install the API documentation.

## Configuring UDisks2

###

#### Config Files

`/etc/udisks2/mount_options.conf` and `/etc/udisks2/udisks2.conf`

###

#### Configuration Information

The default configuration of UDisks2 assumes ntfs-3g is used to mount NTFS filesystems. If the wrapper script for in-kernel NTFS3 driver (recommended in the ntfs-3g-2021.8.22 page) is used instead, create a configuration file for UDisks2 compatible with NTFS3 to allow mounting NTFS filesystems:

    cat > /etc/udisks2/mount_options.conf << "EOF"
    [defaults]
    ntfs_defaults=uid=$UID,gid=$GID
    EOF

## Contents

Installed Programs: udisksctl and umount.udisks2
Installed Library: libudisks2.so
Installed Directories: /etc/udisks2, /usr/include/udisks2, /usr/libexec/udisks2, /usr/share/gtk-doc/html/udisks2, and /var/lib/udisks2

### Short Descriptions

udisksctl | is a command-line program used to interact with the udisksd daemon
umount.udisks2 | is a command-line program used to unmount file systems that have been mounted by the UDisks daemon
`libudisks2.so` | contains the UDisks API functions

Last updated on

- Prev

  Systemd-250

- Next

  UnRar-6.1.4

- Up
- Home